<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/make_item.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}

$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];


$data = array();
//֤褦

$CLASS_NAM = "";
$DATA_BELONG = "";
$DATA_COMMENT = "";

$file_name = "mod_class.php";
$page_title = _EXAM_TEA_CLASS_MOD_TITLE;
//顼åμ
$class_id = "";
$action_type = "";
$err_msg = "";
/*
$gra_chek = array_fill(0,12,"");
$lev_chek = array_fill(0,4,"");
$st_chek = array_fill(0,3,"");
$lev_chek_n = "";
*/
$st_chek = array_fill(0,3,"");
$grade = "";
$grade_txt = "";
$level = "";
$lev_txt = "";

//SQLWHERE
$cond= "";

if ($_GET <> null) {
	if(isset($_GET['class_id'])) {$class_id = $_GET['class_id'];}

	if (!is_numeric($class_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");				
		exit;
	}
}
if ($_POST <> null) {
	$action_type = $_POST['action_type'];
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//饹ǡΥ֥Ȥ
	$class_data_object = new CClassInfoTableAccess();
	
	if ($class_id == null || $class_id == "") {
		if ($action_type == "del") {
			$cond = "class_id = ".$_POST['DEL0'];
			if(!$class_data_object->delDat($cond,$data_object->conn)) {
				$err_msg .= _EXAM_TEA_CLASS_DEL_ERR;
				$err_msg .= $class_data_object->err_msg;
				$class_id = $_POST['DEL0'];
			} else {
				header("Content-Type: text/html; charset=EUC-JP");
				header(URL_SET."admin/class_reg/class_list.php");
				exit;	
			}
		} else if ($action_type == "update") {		
			$val_object = new validator();
			$val_object->setFormType('class_make');
			$val_object->setErrMsg($_POST);
			if ($val_object->err_msg == "") {
				if (!$class_data_object->updateClassExe($data_object->conn, $_POST)) {
					$err_msg .= _EXAM_TEA_CLASS_MOD_ERR;
					$err_msg .= $class_data_object->err_msg;
				} else {
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."admin/class_reg/class_list.php");
					exit;
				}
			} else {
				$err_msg .= $val_object->err_msg;
			}
		} else {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/txt_make/list.php");
			exit;
		}
		$data = $_POST;
		$class_id = $_POST['up_id'];
		$data['class_nam'] = $_POST['class_nam'];
		$data['grade'] = $_POST['grade'];
		$data['level'] = $_POST['level'];
		$data['belong'] = $_POST['belong'];
		$data['status'] = $_POST['status'];
		$data['comment'] = $_POST['comment'];
	
//		$tea_nam = mb_convert_encoding($_POST['tea_nam'],'EUC-JP', 'UTF-8');
		$tea_nam = $_POST['tea_nam'];
	} else {

		$data = $class_data_object->getOneClass($data_object->conn, $class_id);
		//Ϥ
		//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $data['teacher_id'] <> $admin_id) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/class_reg/class_list.php");
			exit;
		}
		
		if (!$data) {
			$tea_nam =_COMMON_DB_NODATA_FOUND;
		}
		//ǡΥ֥Ȥ
		$teacher_data_object = new CTeacherTableAccess();
		$teacher_data = $teacher_data_object->getDetailTeacherData($data_object->conn, $data['teacher_id']);
		if (!$teacher_data) {
			$tea_nam = _COMMON_DB_NODATA_FOUND;
		} else {
//			$tea_nam = mb_convert_encoding($teacher_data['teacher_nam'],'EUC-JP', 'UTF-8');					
			$tea_nam = $teacher_data['teacher_nam'];					
		}
		$grade_sel_object = new CCreateGradeSelect($data_object->conn);
		$grade_sel_object->setDataForInput ();
		$grade_txt = $grade_sel_object->getPullDown ("grade", $data['grade']);
		$lev_rad_object = new CCreateTxtLevelSelect($data_object->conn);
		$lev_rad_object->setDataForInput ();
		$lev_txt = $lev_rad_object->getRadioList ("level", $data['level']);
		$data_object->closeDB();
	}
}
/*
$CLASS_NAM = mb_convert_encoding($data['class_nam'],'EUC-JP', 'UTF-8');
$DATA_BELONG = mb_convert_encoding($data['belong'],'EUC-JP', 'UTF-8');
$DATA_COMMENT = mb_convert_encoding($data['comment'],'EUC-JP', 'UTF-8');
*/
$CLASS_NAM = $data['class_nam'];
$DATA_BELONG = $data['belong'];
$DATA_COMMENT = $data['comment'];

/*
for ($i = 1; $i <=11; $i++) {
	if ($data['grade'] == $i) {
		$gra_chek[$i] = "SELECTED";
	} else {
		$gra_chek[$i] = "";	
	}
}

for ($i = 0; $i <= 3; $i++) {
	if ($data['level'] == $i) {
		$lev_chek[$i] = "CHECKED";
	} else {
		$lev_chek[$i] = "";	
	}
}
*/
for ($i = 0; $i <= 2; $i++) {
	if ($data['status'] == $i) {
		$st_chek[$i] = "CHECKED";
	} else {
		$st_chek[$i] = "";	
	}
}

/*
$show_data = file_get_contents('../../templates/ad_class_reg/mod_class.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':FILE_NAME:', $file_name, $show_data);
$show_data = ereg_replace(':CLASS_NAM_TXT:', mb_convert_encoding($CLASS_NAM,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':GRA_SEL1:', $gra_chek[1], $show_data);
$show_data = ereg_replace(':GRA_SEL2:', $gra_chek[2], $show_data);
$show_data = ereg_replace(':GRA_SEL3:', $gra_chek[3], $show_data);
$show_data = ereg_replace(':GRA_SEL4:', $gra_chek[4], $show_data);
$show_data = ereg_replace(':GRA_SEL5:', $gra_chek[5], $show_data);
$show_data = ereg_replace(':GRA_SEL6:', $gra_chek[6], $show_data);
$show_data = ereg_replace(':GRA_SEL7:', $gra_chek[7], $show_data);
$show_data = ereg_replace(':GRA_SEL8:', $gra_chek[8], $show_data);
$show_data = ereg_replace(':GRA_SEL9:', $gra_chek[9], $show_data);
$show_data = ereg_replace(':GRA_SEL10:', $gra_chek[10], $show_data);
$show_data = ereg_replace(':GRA_SEL11:', $gra_chek[11], $show_data);
$show_data = ereg_replace(':LEV_REP0:', $lev_chek[0], $show_data);
$show_data = ereg_replace(':LEV_REP1:', $lev_chek[1], $show_data);
$show_data = ereg_replace(':LEV_REP2:', $lev_chek[2], $show_data);
$show_data = ereg_replace(':LEV_REP3:', $lev_chek[3], $show_data);
$show_data = ereg_replace(':ST_REP0:', $st_chek[0], $show_data);
$show_data = ereg_replace(':ST_REP1:', $st_chek[1], $show_data);
$show_data = ereg_replace(':ST_REP2:', $st_chek[2], $show_data);
$show_data = ereg_replace(':BELONG_REP:', mb_convert_encoding($DATA_BELONG,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':COMMENT:', mb_convert_encoding($DATA_COMMENT,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':REG_NUM:', $data['registered_num'], $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':TEA_NAM_TXT:', mb_convert_encoding($tea_nam,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_class_reg/mod_class.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':FILE_NAME:', $file_name, $show_data);
$show_data = str_replace(':CLASS_NAM_TXT:', htmlspecialchars($CLASS_NAM,ENT_QUOTES), $show_data);
$show_data = str_replace(':GRA_SEL_REP:', $grade_txt, $show_data);

$show_data = str_replace(':LEV_RAD_REP:', $lev_txt, $show_data);

$show_data = str_replace(':ST_REP0:', $st_chek[0], $show_data);
$show_data = str_replace(':ST_REP1:', $st_chek[1], $show_data);
$show_data = str_replace(':ST_REP2:', $st_chek[2], $show_data);
$show_data = str_replace(':BELONG_REP:', htmlspecialchars($DATA_BELONG,ENT_QUOTES), $show_data);
$show_data = str_replace(':COMMENT:', htmlspecialchars($DATA_COMMENT,ENT_QUOTES), $show_data);
$show_data = str_replace(':REG_NUM:', $data['registered_num'], $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':TEA_NAM_TXT:', $tea_nam, $show_data);

echo $show_data;
?>