<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
$insert_flag = "";
$test_type = "";
$test_nam = "";
$duration = "";
$exp_score = "";

if ($test_type == null) {
	$test_type = 0;
}
if ($_GET <> null) {
	if(isset($_GET['class_id'])) {$class_id = $_GET['class_id'];}

	if (!is_numeric($class_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");				
		exit;
	}
}
if ($_POST <> null) {
	$insert_flag = $_POST['insert_flag'];
	$test_type = $_POST['test_type'];
	$test_nam = chPostToForm($_POST['test_nam']);
	$duration = chPostToForm($_POST['duration']);
	$exp_score = chPostToForm($_POST['exp_sco']);
}
$err_msg = "";
//ǥեȤ
$now_date = getdate();
$test_year = $now_date["year"];
$test_mon = $now_date["mon"];
$test_day = $now_date["mday"];
$test_hour = "";
$test_min = "";

$err_msg = "";
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	if ($class_id == null || $class_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		if ($insert_flag == 1) {
			$val_object = new valid_plus_date('test_nam');
			$val_object->setErrMsgDate($_POST);
			$class_id = $_POST['class_id'];
			$test_year = $_POST["test_year"];
			$test_mon = $_POST["test_mon"];
			$test_day = $_POST["test_day"];
			$test_hour = $_POST["test_hour"];
			$test_min = $_POST["test_min"];

			if ($val_object->err_msg == "") {
				//뤿ΥƥȾ󥪥֥Ȥ
				$test_info_object = new CTestInfoTableAccess();
				if (!$test_info_object->insertTestInfoExe($data_object->conn, $_POST)) {
					$err_msg = "<font color='red'>"._EXAM_TEA_TEST_FORM_INS_ERR;
					$err_msg .= $test_info_object->err_msg."</font>";
					
				} else {
					$data_object->closeDB();
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."admin/test_reg/test_list.php?class_id=".$class_id);
					exit;				
				}
			} else {
				$err_msg .= $val_object->err_msg;
			}
		}
	}

	//饹󸡺
	$class_data_object = new CClassInfoTableAccess();
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = _COMMON_DB_NODATA_FOUND;
	} else {
		$class_nam = htmlspecialchars($cl_dat_arr['class_nam'],ENT_QUOTES);
		$teacher_id = $cl_dat_arr['teacher_id'];
	}
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $cl_dat_arr['teacher_id'] <> $admin_id) {
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");
		exit;
	}
	
	//ǡΥ֥Ȥ
	$teacher_data_object = new CTeacherTableAccess();
	$tea_dat_arr = $teacher_data = $teacher_data_object->getDetailTeacherData($data_object->conn, $cl_dat_arr['teacher_id']);

	if (!$tea_dat_arr) {
		$teacher_nam = _COMMON_DB_NODATA_FOUND;
	} else {
		$teacher_nam = htmlspecialchars($tea_dat_arr['teacher_nam'],ENT_QUOTES);
	}

	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_test_reg/cl_test_frm.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM:', $teacher_nam, $show_data);
	//yearSELECT
	for ($j =6; $j <=15; $j++) {
		if (substr($test_year,3,2) == $j) {
			$show_data = str_replace(':YEA_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':YEA_SEL'.$j.':', "", $show_data);
		}
	}
	//MONSELECT
	for ($j =1; $j <=12; $j++) {
		if ($test_mon == $j) {
			$show_data = str_replace(':MON_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':MON_SEL'.$j.':', "", $show_data);
		}
	}
	//DAYSELECT
	for ($j =1; $j <=31; $j++) {
		if ($test_day == $j) {
			$show_data = str_replace(':DAY_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':DAY_SEL'.$j.':', "", $show_data);
		}
	}

	//HOURSELECT
	for ($j =0; $j <=23; $j++) {
		if ($test_hour == $j) {
			$show_data = str_replace(':HOUR_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':HOUR_SEL'.$j.':', "", $show_data);
		}
	}
	
	//MINSELECT
	for ($j =0; $j <=55; $j = $j+5) {
		if ($test_min == $j) {
			$show_data = str_replace(':MIN_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':MIN_SEL'.$j.':', "", $show_data);
		}
	}

	//TEST_TYPESELECT
	for ($j =0; $j <=3; $j++) {
		if ($test_type == $j) {
			$show_data = str_replace(':TEST_TYPE_REP'.$j.':', "CHECKED", $show_data);
		} else {
			$show_data = str_replace(':TEST_TYPE_REP'.$j.':', "", $show_data);
		}
	}

$show_data = str_replace(':TEST_NAM_TXT:', $test_nam, $show_data);
$show_data = str_replace(':DUR_TXT:', $duration, $show_data);
$show_data = str_replace(':EXP_SCO:', $exp_score, $show_data);
$show_data = str_replace(':TEA_ID_REP:', $teacher_id, $show_data);
$show_data = str_replace(':CLASS_ID:', $class_id, $show_data);
echo $show_data;
?>